<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('client_product_config_field_values', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('product_id'); // ClientProduct ile ilişkilendirilecek
            $table->unsignedInteger('group_id')->nullable(); // Opsiyon grubuyla ilişkilendirilecek
            $table->unsignedInteger('option_id'); // Opsiyon ile ilişkilendirilecek
            $table->string('value'); // Konfigürasyon değeri
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('client_product_config_field_values');
    }
};
